let
  sources = import ./nix/sources.nix;
  pkgs = import sources.nixpkgs {};
  haskellDeps = ps : with ps; [
    shake
    pandoc
    data-default
    protolude
    stache
    turtle
    ansi-terminal
    time
  ];
  ghc = pkgs.haskellPackages.ghcWithPackages haskellDeps;
in
pkgs.mkShell {
    buildInputs = with pkgs;
      [ cacert
        coreutils
        # build
        ghc
        haskellPackages.shake
	wget # for cabal-install
        haskellPackages.cabal-install
        entr
        html-xml-utils
        zsh
        perl
        perlPackages.URI
        minify
        imagemagick
        texlive.combined.scheme-full # https://nixos.wiki/wiki/TexLive
        cm_unicode
        # dev env
        # niv
        git
        direnv
        tmux
        # for emacs dev
        ripgrep
        nodePackages.http-server
      ];
  shellHook = ''
    export FONTCONFIG_FILE=${pkgs.fontconfig.out}/etc/fonts/fonts.conf
  '';
  }
